package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.javafxrefclient.Logger;

public class ContactSearchRequest extends SessionRequest{

	private static final Logger LOG = Logger.getLogger(ContactSearchRequest.class);
	String query;
	
	public ContactSearchRequest(String query) {
		super(LOG);
		this.query=query;
		}

	@Override
	protected Object call() throws Exception {
		String methodName = "call() ";
        LOG.trace(methodName + "+"); 
////        {"SearchCriteriaList":[{"Key":"","Condition":"","Value":""}]}       
//        getSession().searchContacts(query); //TODO conroy1 add Customer Search in a future release
        LOG.trace(methodName + "-");
        return null;
		
	}
}
